Bug 576608 - heartbeat init-script tries to run /ResourceManager
Summary: heartbeat init-script tries to run /ResourceManager
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: heartbeat
Version: 12
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-24 15:47 UTC by Jan "Yenya" Kasprzak
Modified: 2010-05-19 19:20 UTC (History)
5 users (show)

Fixed In Version: heartbeat-3.0.0-0.7.0daab7da36a8.hg.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-19 19:18:23 UTC


Attachments (Terms of Use)

Description Jan "Yenya" Kasprzak 2010-03-24 15:47:41 UTC
Description of problem:
The /etc/init.d/heartbeat script tries to run a non-existent program /ResourceManager. The problem is at line 253 of the script:

    $HA_NOARCHBIN/ResourceManager verifyallidle

where $HA_NOARCHBIN is not defined anywhere. I would expect it to be set to /usr/share/heartbeat (where ResourceManager lives), possibly in /etc/ha.d/shellfuncs.

Version-Release number of selected component (if applicable):
heartbeat-3.0.0-0.5.0daab7da36a8.hg.fc12.x86_64

Comment 1 Bjørn Tore Sund 2010-04-29 11:56:18 UTC
Here this problem causes heartbeat to simply hang.  I have it running now after explicitly setting HA_NOARCHBIN in /etc/ha.d/shellfuncs.  The problem seems to have appeared with resource-agents-3.0.9-2.fc12.x86_64 and is still there with resource-agents-3.0.10-1.fc12.x86_64.  Please up the severity on this bug, it breaks heartbeat.

-BT

Comment 2 Andrew Beekhof 2010-04-30 08:03:17 UTC
Ah, this only affects v1/haresources.  No wonder no-one noticed before.

haresources-mode is all but dead, no-one upstream is testing it and the only support they provide is for people migrating to heartbeat+pacemaker.

Bugfix is now upstream:
   http://hg.linux-ha.org/dev/rev/d181d7358747

Comment 3 Fedora Update System 2010-04-30 20:18:12 UTC
heartbeat-3.0.0-0.7.0daab7da36a8.hg.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/heartbeat-3.0.0-0.7.0daab7da36a8.hg.fc13

Comment 4 Fedora Update System 2010-04-30 21:39:26 UTC
heartbeat-3.0.0-0.7.0daab7da36a8.hg.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/heartbeat-3.0.0-0.7.0daab7da36a8.hg.fc12

Comment 5 Fedora Update System 2010-04-30 23:39:35 UTC
heartbeat-3.0.0-0.7.0daab7da36a8.hg.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update heartbeat'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/heartbeat-3.0.0-0.7.0daab7da36a8.hg.fc13

Comment 6 Fedora Update System 2010-05-03 16:14:09 UTC
heartbeat-3.0.0-0.7.0daab7da36a8.hg.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update heartbeat'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/heartbeat-3.0.0-0.7.0daab7da36a8.hg.fc12

Comment 7 Fedora Update System 2010-05-19 19:18:18 UTC
heartbeat-3.0.0-0.7.0daab7da36a8.hg.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2010-05-19 19:20:50 UTC
heartbeat-3.0.0-0.7.0daab7da36a8.hg.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.